de.esprit.netsuite.server

## Class AbstractInitializableServerObject<S extends ServerContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<S>
      - - de.esprit.netsuite.server.AbstractInitializableServerObject<S>

- All Implemented Interfaces:
    ApplicationObject<S>, Initializable, SimpleLogSupport, Dumpable, ServerObject<S>
  Direct Known Subclasses:
    AbstractGroupManager, AbstractUserManager, BatchTaskManager, CoServerManager, DatabaseManager, DefaultGroupMembershipManager, DefaultPermissionManager, LogChannelManager, ServerStatisticManager

      public abstract class AbstractInitializableServerObject<S extends ServerContext>
      extends AbstractServerObject<S>
      implements Initializable

  This is the base class for server classes that manage a `ServerContext`
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractInitializableServerObject(S serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkInitialized()` Checks whether initialization has yet been done and throws an `NotInitializedException` if not.
    `boolean` | `isInitialized()` Tells whether initialization has yet been done.
    `protected void` | `setInitialized()`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.launch.Initializable

      `init`

- - ### Constructor Detail

    - #### AbstractInitializableServerObject

          public AbstractInitializableServerObject(S serverCtx)

  - ### Method Detail

    - #### isInitialized

          public final boolean isInitialized()

      Description copied from interface: `Initializable`
      Tells whether initialization has yet been done.
      Specified by:
        `isInitialized` in interface `Initializable`

    - #### setInitialized

          protected void setInitialized()

    - #### checkInitialized

          public void checkInitialized()

      Description copied from interface: `Initializable`
      Checks whether initialization has yet been done and throws an `NotInitializedException` if not.
      Specified by:
        `checkInitialized` in interface `Initializable`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `AbstractServerObject<S extends ServerContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.